
#ifdef        GLOBALS_BSP_IIC
    #define   EXTERN_BSP_IIC
#else
    #define   EXTERN_BSP_IIC     extern
#endif

#ifndef BSP_IIC_H_
#define BSP_IIC_H_

	#define                 IIC_WaitOverTime                  10000
	#define     	          ACK                	              0
	#define     	          NACK            	                1

	#define                 SCL                               PTS_PTS4

  #define                 SDA                               PTS_PTS7
  #define                 SDADIR                            DDRS_DDRS7


	EXTERN_BSP_IIC		void            bsp_IIC_delay(void);
	EXTERN_BSP_IIC		void            bsp_IIC_Start(void);
	EXTERN_BSP_IIC		void            bsp_IIC_Stop(void);
	EXTERN_BSP_IIC		void            bsp_IIC_ACK(void);
	EXTERN_BSP_IIC		void            bsp_IIC_NACK(void);
	EXTERN_BSP_IIC		INT8U           bsp_IIC_WaitAck(void);
	EXTERN_BSP_IIC		INT8U           bsp_IIC_SendByte(INT8U Data);
	EXTERN_BSP_IIC    INT8U           bsp_IIC_WritePage(INT8U  PhyAdd,INT8U  MemAdd, INT8U *Data,INT8U len);
	EXTERN_BSP_IIC    INT8U           bsp_IIC_ReadByte(void);
	EXTERN_BSP_IIC    INT8U           bsp_IIC_ReadPage(INT8U  PhyAdd,INT8U  MemAdd, INT8U *Data,INT8U len);
  
#endif /* BSP_IIC_H_ */